Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039229
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] A. Platformminorhave not tried2018-09-05 16:232018-09-21 02:17
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q4
StatusclosedFix in branchFixed in SCM revision701d003b887b
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039229: source path is required to import reference data

DescriptionWhen importing reference data and chart of accounts, it is read from source path, this forces deployed instance to have access to sources to make use of this feature.
Steps To Reproduce1. Remove source.path from Openbravo.properties
2. Open Initial Organization Setup process
3. Select the 2 available Reference data modules
4. Click OK
  -> ERROR: Create reference data process failed
Proposed SolutionThose files should be deployed to make them accessible directly from Tomcat without need of reading sources.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 00392523.0PR18Q3.1 closedalostale source path is required to import reference data 
depends on defect 0039254 closedalostale API change: removed parameter in InitialOrgSetup.createOrganization 
blocks design defect 0034490 acknowledgedplatform [clustering] Support clustering 
causes defect 0039280 closedalostale can't install reference data in test code 

-  Notes
(0106658)
alostale (developer)
2018-09-10 12:49
edited on: 2018-09-10 14:40

Tested:
* with all different deploy modes: none, class and war
* linux and windows
* install.source + smartbuild

(0106667)
hgbot (developer)
2018-09-10 14:23

Repository: erp/devel/pi
Changeset: 692305cb1996257b11e256efbb93ff2c529e0fe9
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Sep 07 09:51:56 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/692305cb1996257b11e256efbb93ff2c529e0fe9 [^]

fixed issue 39229: source path is required to import reference data

  Reference data is now deployed to WebContent which can be accessed from Tomcat
  as a resource.

---
M src/build.xml
M src/org/openbravo/erpCommon/businessUtility/InitialSetupUtility.java
---
(0106668)
hgbot (developer)
2018-09-10 14:23

Repository: erp/devel/pi
Changeset: 038384250ba912f58a9c3c025340aad22e88a6bc
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Sep 07 11:37:29 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/038384250ba912f58a9c3c025340aad22e88a6bc [^]

fixed issue 39229: source path is required to import Chart Of Accounts

  Now it is deployed as resource accessible from Tomcat.

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src/build.xml
M src/org/openbravo/erpCommon/businessUtility/COAUtility.java
M src/org/openbravo/erpCommon/businessUtility/InitialClientSetup.java
M src/org/openbravo/erpCommon/businessUtility/InitialOrgSetup.java
---
(0106669)
hgbot (developer)
2018-09-10 14:23

Repository: erp/devel/pi
Changeset: 701d003b887b57edee304d64954f3bb84cfd76b7
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Sep 07 11:46:19 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/701d003b887b57edee304d64954f3bb84cfd76b7 [^]

fixed issue 39229: do not make publicly available reference data files

  Reference data and COA files should be internally accessible from Tomcat, but
  they shouldn't be publicly available to be downloaded.

  Moved them to the non public WEB-INF directory.

---
M src/build.xml
M src/org/openbravo/erpCommon/businessUtility/COAUtility.java
M src/org/openbravo/erpCommon/businessUtility/InitialSetupUtility.java
---
(0106670)
hgbot (developer)
2018-09-10 14:23

Repository: erp/devel/pi
Changeset: 9a51de54cd962233b909fc0e8c1a774ed2f6ce07
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Sep 07 11:51:03 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/9a51de54cd962233b909fc0e8c1a774ed2f6ce07 [^]

related to issue 39229: removed unneded source.path params

---
M src-test/src/org/openbravo/test/db/model/functions/ADOrgTreeTest.java
M src-test/src/org/openbravo/test/generalsetup/enterprise/organization/ADOrgPersistInfoUtility.java
M src/org/openbravo/erpCommon/ad_forms/InitialOrgSetup.java
M src/org/openbravo/erpCommon/businessUtility/InitialOrgSetup.java
---
(0106671)
hgbot (developer)
2018-09-10 14:23

Repository: erp/devel/pi
Changeset: 3e0f540c5540c2bb8111f7bb8ba46341776a7954
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Mon Sep 10 12:40:04 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/3e0f540c5540c2bb8111f7bb8ba46341776a7954 [^]

related to issue 39229: make it work in Windows

  Using file.separator in Windows was interpreted as regexp escape character.

  Using common slash works fine also in Windows.

---
M src/build.xml
---
(0106728)
hudsonbot (developer)
2018-09-12 21:33

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad75d3cb1744 [^]
Maturity status: Test
(0106729)
hudsonbot (developer)
2018-09-12 21:33

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad75d3cb1744 [^]
Maturity status: Test
(0106730)
hudsonbot (developer)
2018-09-12 21:33

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad75d3cb1744 [^]
Maturity status: Test
(0106731)
hudsonbot (developer)
2018-09-12 21:33

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad75d3cb1744 [^]
Maturity status: Test
(0106732)
hudsonbot (developer)
2018-09-12 21:33

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad75d3cb1744 [^]
Maturity status: Test
(0106890)
hgbot (developer)
2018-09-20 14:55

Repository: erp/devel/pi
Changeset: 484a4cb67c8c33563203e391067e0122bd2aeb1b
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Sep 20 14:52:14 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/484a4cb67c8c33563203e391067e0122bd2aeb1b [^]

related to issue 39229: don't use source path for updating ref data

---
M src/org/openbravo/erpCommon/ad_forms/UpdateReferenceData.java
M src/org/openbravo/erpCommon/ad_forms/UpdateReferenceData_data.xsql
M src/org/openbravo/erpCommon/businessUtility/InitialSetupUtility.java
---
(0106898)
hgbot (developer)
2018-09-20 17:45

Repository: erp/devel/pi
Changeset: 5e148ccda17372a140f31c3e94e7fe1685d8f23a
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Thu Sep 20 17:45:30 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/5e148ccda17372a140f31c3e94e7fe1685d8f23a [^]

related to issue 39229: update copyright year

---
M src/org/openbravo/erpCommon/businessUtility/COAUtility.java
---
(0106900)
caristu (developer)
2018-09-20 17:47
edited on: 2018-09-20 17:47

Code reviewed + tested OK. Applied reference data with:

- Initial Org Setup
- Initial Client Setup
- Enterprise Module Management (UpdateReferenceData)

(0106912)
hudsonbot (developer)
2018-09-21 02:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ca4fbc83aa05 [^]
Maturity status: Test
(0106913)
hudsonbot (developer)
2018-09-21 02:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ca4fbc83aa05 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-09-05 16:23 alostale New Issue
2018-09-05 16:23 alostale Assigned To => platform
2018-09-05 16:23 alostale Modules => Core
2018-09-05 16:23 alostale Triggers an Emergency Pack => No
2018-09-05 16:23 alostale Relationship added blocks 0034490
2018-09-05 16:23 alostale Status new => acknowledged
2018-09-06 11:20 alostale Steps to Reproduce Updated View Revisions
2018-09-10 12:49 alostale Note Added: 0106658
2018-09-10 12:50 alostale Review Assigned To => caristu
2018-09-10 12:50 alostale Assigned To platform => alostale
2018-09-10 12:50 alostale Status acknowledged => scheduled
2018-09-10 13:46 alostale Relationship added depends on 0039254
2018-09-10 14:23 hgbot Checkin
2018-09-10 14:23 hgbot Note Added: 0106667
2018-09-10 14:23 hgbot Status scheduled => resolved
2018-09-10 14:23 hgbot Resolution open => fixed
2018-09-10 14:23 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/692305cb1996257b11e256efbb93ff2c529e0fe9 [^]
2018-09-10 14:23 hgbot Checkin
2018-09-10 14:23 hgbot Note Added: 0106668
2018-09-10 14:23 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/692305cb1996257b11e256efbb93ff2c529e0fe9 [^] => http://code.openbravo.com/erp/devel/pi/rev/038384250ba912f58a9c3c025340aad22e88a6bc [^]
2018-09-10 14:23 hgbot Checkin
2018-09-10 14:23 hgbot Note Added: 0106669
2018-09-10 14:23 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/038384250ba912f58a9c3c025340aad22e88a6bc [^] => http://code.openbravo.com/erp/devel/pi/rev/701d003b887b57edee304d64954f3bb84cfd76b7 [^]
2018-09-10 14:23 hgbot Checkin
2018-09-10 14:23 hgbot Note Added: 0106670
2018-09-10 14:23 hgbot Checkin
2018-09-10 14:23 hgbot Note Added: 0106671
2018-09-10 14:40 alostale Note Edited: 0106658 View Revisions
2018-09-12 21:33 hudsonbot Checkin
2018-09-12 21:33 hudsonbot Note Added: 0106728
2018-09-12 21:33 hudsonbot Checkin
2018-09-12 21:33 hudsonbot Note Added: 0106729
2018-09-12 21:33 hudsonbot Checkin
2018-09-12 21:33 hudsonbot Note Added: 0106730
2018-09-12 21:33 hudsonbot Checkin
2018-09-12 21:33 hudsonbot Note Added: 0106731
2018-09-12 21:33 hudsonbot Checkin
2018-09-12 21:33 hudsonbot Note Added: 0106732
2018-09-13 10:54 alostale Relationship added causes 0039280
2018-09-20 14:55 hgbot Checkin
2018-09-20 14:55 hgbot Note Added: 0106890
2018-09-20 17:45 hgbot Checkin
2018-09-20 17:45 hgbot Note Added: 0106898
2018-09-20 17:47 caristu Note Added: 0106900
2018-09-20 17:47 caristu Status resolved => closed
2018-09-20 17:47 caristu Fixed in Version => 3.0PR18Q4
2018-09-20 17:47 caristu Note Edited: 0106900 View Revisions
2018-09-21 02:17 hudsonbot Checkin
2018-09-21 02:17 hudsonbot Note Added: 0106912
2018-09-21 02:17 hudsonbot Checkin
2018-09-21 02:17 hudsonbot Note Added: 0106913


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker